LIBNUTCLIENT_MISC(3)

NAME
libnutclient_misc, nutclient_authenticate, nutclient_logout, nutclient_device_login, nutclient_get_device_num_logins, nutclient_device_master, nutclient_device_forced_shutdown - Miscellaneous functions in Network UPS Tools high-level client access library

SYNOPSIS

        #include <nutclient.h>
        typedef void* NUTCLIENT_t;
        void nutclient_authenticate(
                NUTCLIENT_t client,
                const char* login, const char* passwd);
        void nutclient_logout(NUTCLIENT_t client);
        void nutclient_device_login(NUTCLIENT_t client, const char* dev);
        int nutclient_get_device_num_logins(NUTCLIENT_t client, const char* dev);
        void nutclient_device_primary(NUTCLIENT_t client, const char* dev);
        /* OBSOLETED name: */
        void nutclient_device_master(NUTCLIENT_t client, const char* dev);
        void nutclient_device_forced_shutdown(NUTCLIENT_t client, const char* dev);

DESCRIPTION

    • The nutclient_authenticate() function authenticates the user.

        • login is the user name.

        • passwd is the user password.

    • The nutclient_logout() function disconnects gracefully from the server.

    • The nutclient_device_login() function logs the fact that a system is drawing power from this UPS.

    • The nutclient_get_device_num_logins() function retrieves the number of clients which have been logged for this device.

    • The nutclient_device_master() and nutclient_device_primary() (note: the former is obsoleted since NUT v2.8.0 in favor of the latter) functions make sure that primary-mode functions like FSD are available if necessary.

    • The nutclient_device_forced_shutdown() function sets the "forced shutdown" (FSD) flag on the device.

Common arguments:

    • dev is the device name.

SEE ALSO

libnutclient(3)